import * as z from 'zod';
export const PaymentDeleteResultSchema = z.nullable(z.object({
  id: z.number().int(),
  claimId: z.number().int().optional(),
  patientId: z.number().int(),
  userId: z.number().int(),
  updatedById: z.number().int().optional(),
  npiProviderId: z.number().int().optional(),
  totalBilled: z.number(),
  totalPaid: z.number(),
  totalAdjusted: z.number(),
  totalDue: z.number(),
  mhPaidAmount: z.number().optional(),
  copayment: z.number(),
  adjustment: z.number(),
  status: z.unknown(),
  notes: z.string().optional(),
  icn: z.string().optional(),
  createdAt: z.date(),
  updatedAt: z.date(),
  claim: z.unknown().optional(),
  patient: z.unknown(),
  updatedBy: z.unknown().optional(),
  npiProvider: z.unknown().optional(),
  serviceLineTransactions: z.array(z.unknown()),
  serviceLines: z.array(z.unknown()),
  commissionBatchItems: z.array(z.unknown())
}));